# property::is-dynamic

[This is preliminary documentation and subject to change.]

Checks whether the specified property is a dynamic property.

### Usage

`bool property::is-dynamic(name)`

### Parameters

Name | Type | Description
--- | --- | ---
name | string | The property to test.

### Return Value

true if the specified property is a dynamic property; otherwise, false.

### Exceptions

The function will fail in any of the following circumstances:

- Property name has not been set.

### Examples

- Check whether the "debug" property is a dynamic property.

      property::is-dynamic('debug')

### Requirements

Assembly: NAnt.Core (0.85.1932.0)